Request

Response

    Get All Products
    GET

    api-products

    Lists the API Products available to the current user.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/applications/v1/api-products
    Authentication Context
    User context required
    Required OAuth Scopes
    application:client:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    Query String Parameters

    limit
    int
    The maximum number of results to return in a single page.

    Response

    HTTP Status Code Summary

    200
    OK
    ok
    401
    Unauthorized
    The request did not have a valid access token. Obtain a fresh access token and try again.
    403
    Forbidden
    You do not have permission to perform the operation specified by the request.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    Specifies if the response has been split in to multiple pages, and if so the details.
    limit
    number
    The limit value supplied in the request.
    nextUrl
    string
    Link that will return the next page of data. If not included, this is the last page of data.
    previousUrl
    string
    Link that will return the previous page of data. If the previous link is being returned then absence indicates this being the first page.
    results
    array: object
    An array of objects where each object contains the details of an API Product.
    id
    string: UUID
    The ID of the API Product.
    displayName
    string
    The display name of the API Product.

    Example

    ok

    Request

    curl -v 'https://developer.api.autodesk.com/applications/v1/api-products' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "nextUrl": "https://developer.api.autodesk.com/~NEXT_PAGE~",
        "previousUrl": "https://developer.api.autodesk.com/~PREVIOUS_PAGE~"
      },
      "results": [
        {
          "id": "8068e75d-92e2-5fe6-b6f1-862d3246b89a",
          "displayName": "Design Automation API"
        }
      ]
    }
    
    Show More